package app26g;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class MainServlet extends HttpServlet {
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        displayMainPage(request, response);
    }

    public void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        displayMainPage(request, response);
    }

    private void displayMainPage(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        String preference = request.getParameter("preference");
        if (preference == null)
            preference = "detail";
        response.setContentType("text/html");
        PrintWriter writer = response.getWriter();
        writer.println("<html>");
        writer.println("<head><title>Main Page</title></head>");
        writer.println("<body>");
        writer.print("<a href=\"preference\">Preference</a>&nbsp;&nbsp;&nbsp;");
        writer.print("<a target=\"new\" href=\"news?preference=" + preference
                + "\">Corporate News</a>&nbsp;&nbsp;&nbsp;");
        writer.print("<a target=\"new\" href=\"marketReport?preference="
                + preference + "\">Market Report</a>");
        writer.println("<hr/>");
        writer.println("Welcome to our corporate portal.");
        writer.println("</body>");
        writer.println("</html>");
    }
}
